Package wx :: Module aui :: Class AuiPaneInfo

[frames | no frames]

## Type AuiPaneInfo

    object --+
             |
            AuiPaneInfo

Proxy of C++ AuiPaneInfo class

Method Summary
AuiPaneInfo | `__init__(self)`
| `__del__(self)`
AuiPaneInfo | `BestSize(self, size)`
AuiPaneInfo | `Bottom(self)`
AuiPaneInfo | `BottomDockable(self, b)`
AuiPaneInfo | `Caption(self, c)`
AuiPaneInfo | `CaptionVisible(self, visible)`
AuiPaneInfo | `Center(self)`
AuiPaneInfo | `CenterPane(self)`
AuiPaneInfo | `Centre(self)`
AuiPaneInfo | `CentrePane(self)`
AuiPaneInfo | `CloseButton(self, visible)`
AuiPaneInfo | `DefaultPane(self)`
AuiPaneInfo | `DestroyOnClose(self, b)`
AuiPaneInfo | `Direction(self, direction)`
AuiPaneInfo | `Dock(self)`
AuiPaneInfo | `Dockable(self, b)`
AuiPaneInfo | `Fixed(self)`
AuiPaneInfo | `Float(self)`
AuiPaneInfo | `Floatable(self, b)`
AuiPaneInfo | `FloatingPosition(self, pos)`
AuiPaneInfo | `FloatingSize(self, size)`
AuiPaneInfo | `Gripper(self, visible)`
AuiPaneInfo | `GripperTop(self, attop)`
bool | `HasBorder(self)`
bool | `HasCaption(self)`
bool | `HasCloseButton(self)`
bool | `HasFlag(self, flag)`
bool | `HasGripper(self)`
bool | `HasGripperTop(self)`
bool | `HasMaximizeButton(self)`
bool | `HasMinimizeButton(self)`
bool | `HasPinButton(self)`
AuiPaneInfo | `Hide(self)`
bool | `IsBottomDockable(self)`
bool | `IsDestroyOnClose(self)`
bool | `IsDocked(self)`
bool | `IsFixed(self)`
bool | `IsFloatable(self)`
bool | `IsFloating(self)`
bool | `IsLeftDockable(self)`
bool | `IsMaximized(self)`
bool | `IsMovable(self)`
bool | `IsOk(self)`
bool | `IsResizable(self)`
bool | `IsRightDockable(self)`
bool | `IsShown(self)`
bool | `IsToolbar(self)`
bool | `IsTopDockable(self)`
AuiPaneInfo | `Layer(self, layer)`
AuiPaneInfo | `Left(self)`
AuiPaneInfo | `LeftDockable(self, b)`
AuiPaneInfo | `Maximize(self)`
AuiPaneInfo | `MaximizeButton(self, visible)`
AuiPaneInfo | `MaxSize(self, size)`
AuiPaneInfo | `MinimizeButton(self, visible)`
AuiPaneInfo | `MinSize(self, size)`
AuiPaneInfo | `Movable(self, b)`
AuiPaneInfo | `Name(self, n)`
AuiPaneInfo | `PaneBorder(self, visible)`
AuiPaneInfo | `PinButton(self, visible)`
AuiPaneInfo | `Position(self, pos)`
AuiPaneInfo | `Resizable(self, resizable)`
AuiPaneInfo | `Restore(self)`
AuiPaneInfo | `Right(self)`
AuiPaneInfo | `RightDockable(self, b)`
AuiPaneInfo | `Row(self, row)`
| `SafeSet(self, source)`
AuiPaneInfo | `SetFlag(self, flag, option_state)`
AuiPaneInfo | `Show(self, show)`
AuiPaneInfo | `ToolbarPane(self)`
AuiPaneInfo | `Top(self)`
AuiPaneInfo | `TopDockable(self, b)`
AuiPaneInfo | `Window(self, w)`

Property Summary
| `best_size`
| `buttons`
| `caption`
| `dock_direction`
| `dock_layer`
| `dock_pos`
| `dock_proportion`
| `dock_row`
| `floating_pos`
| `floating_size`
| `frame`
| `max_size`
| `min_size`
| `name`
| `rect`
| `state`
| `thisown`: The membership flag
| `window`

Class Variable Summary
`int` | `actionPane` = -2147483648
`int` | `buttonClose` = 2097152
`int` | `buttonCustom1` = 67108864
`int` | `buttonCustom2` = 134217728
`int` | `buttonCustom3` = 268435456
`int` | `buttonMaximize` = 4194304
`int` | `buttonMinimize` = 8388608
`int` | `buttonPin` = 16777216
`int` | `optionActive` = 16384
`int` | `optionBottomDockable` = 32
`int` | `optionCaption` = 1024
`int` | `optionDestroyOnClose` = 4096
`int` | `optionFloatable` = 64
`int` | `optionFloating` = 1
`int` | `optionGripper` = 2048
`int` | `optionGripperTop` = 32768
`int` | `optionHidden` = 2
`int` | `optionLeftDockable` = 4
`int` | `optionMaximized` = 65536
`int` | `optionMovable` = 128
`int` | `optionPaneBorder` = 512
`int` | `optionResizable` = 256
`int` | `optionRightDockable` = 8
`int` | `optionToolbar` = 8192
`int` | `optionTopDockable` = 16
`int` | `savedHiddenState` = 1073741824

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1219293316(...)
  Set Method:
    unknown--1219293260(...)

Class Variable Details

### actionPane

  Type:
    `int`
  Value:

        -2147483648

### buttonClose

  Type:
    `int`
  Value:

        2097152

### buttonCustom1

  Type:
    `int`
  Value:

        67108864

### buttonCustom2

  Type:
    `int`
  Value:

        134217728

### buttonCustom3

  Type:
    `int`
  Value:

        268435456

### buttonMaximize

  Type:
    `int`
  Value:

        4194304

### buttonMinimize

  Type:
    `int`
  Value:

        8388608

### buttonPin

  Type:
    `int`
  Value:

        16777216

### optionActive

  Type:
    `int`
  Value:

        16384

### optionBottomDockable

  Type:
    `int`
  Value:

        32

### optionCaption

  Type:
    `int`
  Value:

        1024

### optionDestroyOnClose

  Type:
    `int`
  Value:

        4096

### optionFloatable

  Type:
    `int`
  Value:

        64

### optionFloating

  Type:
    `int`
  Value:

        1

### optionGripper

  Type:
    `int`
  Value:

        2048

### optionGripperTop

  Type:
    `int`
  Value:

        32768

### optionHidden

  Type:
    `int`
  Value:

        2

### optionLeftDockable

  Type:
    `int`
  Value:

        4

### optionMaximized

  Type:
    `int`
  Value:

        65536

### optionMovable

  Type:
    `int`
  Value:

        128

### optionPaneBorder

  Type:
    `int`
  Value:

        512

### optionResizable

  Type:
    `int`
  Value:

        256

### optionRightDockable

  Type:
    `int`
  Value:

        8

### optionToolbar

  Type:
    `int`
  Value:

        8192

### optionTopDockable

  Type:
    `int`
  Value:

        16

### savedHiddenState

  Type:
    `int`
  Value:

        1073741824

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:17 2007 | http://epydoc.sf.net